---
# proxy_settings configuration values
proxy_settings_ftp_proxy: "{{ k8scluster_ftp_proxy }}"
proxy_settings_http_proxy: "{{ k8scluster_http_proxy }}"
proxy_settings_https_proxy: "{{ k8scluster_https_proxy }}"
proxy_settings_no_proxy: "{%
  if k8scluster_ftp_proxy or k8scluster_http_proxy or k8scluster_https_proxy
    %}{{ k8scluster_no_proxy + ',' if k8scluster_no_proxy }}{%
    for host in groups['k8s_cluster'] %}{{
      hostvars[host].k8scluster_default_ipv4.address }},{%
    endfor %}127.0.0.1,localhost{%
  else %}{% endif %}"

proxy_settings_yum_proxy: "{%
  if proxy_settings_http_proxy %}{{
    '{}://{}:{}'.format(
      proxy_settings_http_proxy | urlsplit('scheme'),
      proxy_settings_http_proxy | urlsplit('hostname'),
      proxy_settings_http_proxy | urlsplit('port') | default('80', true)
    ) }}{%
  else %}{% endif %}"
proxy_settings_yum_proxy_username: "{{
  proxy_settings_http_proxy | urlsplit('username') }}"
proxy_settings_yum_proxy_password: "{{
  proxy_settings_http_proxy | urlsplit('password') }}"
